Bug 443120 - Administrator cannot remove imported CA certificate.
Administrator cannot remove imported CA certificate.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-18 14:02 EDT by Andrew Wnuk
Modified: 2015-01-04 18:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of error window (5.45 KB, image/png)
2008-04-18 14:02 EDT, Andrew Wnuk
no flags Details
proposed fix (8.41 KB, patch)
2009-04-17 18:46 EDT, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description Andrew Wnuk 2008-04-18 14:02:40 EDT
Description of problem:
Administrator cannot remove imported CA certificate.

Version-Release number of selected component (if applicable):
1.0

How reproducible:
Always

Steps to Reproduce:
1. Start CA console
2. Select "System Keys and Certificates"
3. Select certificate and "Delete"
4. Confirm certificate deletion
5. "You are not authorized to perform this operation"
  
Actual results:
"You are not authorized to perform this operation"

Expected results:
Administrator should be able to remove imported CA certificate.

Additional info:
Comment 1 Andrew Wnuk 2008-04-18 14:02:40 EDT
Created attachment 302911 [details]
Screen shot of error window
Comment 4 Andrew Wnuk 2009-04-17 18:46:39 EDT
Created attachment 340107 [details]
proposed fix
Comment 5 Matthew Harmsen 2009-04-17 18:50:07 EDT
attachment (id=340107) +mharmsen
Comment 6 Andrew Wnuk 2009-04-17 18:59:12 EDT
svn commit pki/dogtag/common/pki-common.spec
Sending        pki/dogtag/common/pki-common.spec
Transmitting file data .
Committed revision 397.

svn commit pki/dogtag/ca/pki-ca.spec                          
Sending        pki/dogtag/ca/pki-ca.spec
Transmitting file data .
Committed revision 398.

svn commit pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java                          
Sending        pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
Transmitting file data .
Committed revision 399.

svn commit pki/base/ca/shared/acl/cms.acl                           
Sending        pki/base/ca/shared/acl/cms.acl
Transmitting file data .
Committed revision 400.

svn commit pki/base/ca/shared/conf/acl.ldif                          
Sending        pki/base/ca/shared/conf/acl.ldif
Transmitting file data .
Committed revision 401.
Comment 7 Jenny Galipeau 2009-06-11 14:57:23 EDT
Verified - installed and deleted CA certificate successfully.

Note You need to log in before you can comment on or make changes to this bug.